import BaseStore from '@src/stores/base';

export default class PreviewStore extends BaseStore {
  list(params) {
    return this.apiGet('/preview/list', params);
  }

  get(params) {
    return this.apiPost('/preview/detail', params);
  }

  add(params) {
    return this.apiPost('/preview/add', params);
  }

  edit(params) {
    return this.apiPut('/preview/edit', params);
  }

  del(params) {
    return this.apiDel('/preview/delete', params);
  }
}

export const Preview = new PreviewStore({ key: 'preview' });
